CUT(1)

NIMI
cut - remove sections from each line of files

YLEISKATSAUS
cut VALITSIN... [TIEDOSTO]...

KUVAUS

Tulosta kunkin TIEDOSTOn valitut osat vakiotulosteeseen.

Jos TIEDOSTOa ei ole annettu, tai se on ”-”, luetaan vakiosyötettä.

Pitkien valitsinten pakolliset argumentit ovat pakollisia myös lyhyille.

-b, --bytes=LUETTELO
    tulosta vain nämä tavut

-c, --characters=LUETTELO
    tulosta vain nämä merkit

-d, --delimiter=RAJOIT
    käytä RAJOITinta kenttien rajana sarkaimen sijaan

-f, --fields=LUETTELO
    tulosta vain nämä kentät; tulosta myös rajoitinta sisältämättömät rivit ellei valitsinta -s ole annettu

-n  (ei huomioida)

--complement
    complement the set of selected bytes, characters or fields

-s, --only-delimited
    älä tulosta rajoitinta sisältämättömiä rivejä

--output-delimiter=MERKKIJ
    käytä MERKKIJonoa tulosteen rajoittimena oletus on käyttää syötteen rajoitinta

-z, --zero-terminated
    päätä rivit 0-tavuun, ei rivinvaihtoon

--help
    näytä tämä ohje ja poistu

--version
    näytä versiotiedot ja poistu

Käytä tasan yhtä valitsimista -b, -c ja -f. Kukin LUETTELO koostuu yhdestä välistä tai useasta pilkuin erotetusta välistä. Valittu syöte kirjoitetaan lukujärjestyksessa, täsmälleen kerran. Väli on yksi seuraavista:

N   N:s tavu, merkki tai kenttä, numerointi alkaa 1:stä

N-  N:nnestä tavusta, merkistä tai kentästä rivin loppuun

N-M N:nnestä tavusta, merkistä tai kentästä M:nteen (M ja N mukaan lukien)

-M  ensimmäisestä tavusta, merkistä tai kentästä M:nteen (M mukaan lukien)

TEKIJÄ
Kirjoittaneet David M. Ihnat, David MacKenzie ja Jim Meyering.

VIRHEISTÄ ILMOITTAMINEN
GNU coreutils online help: <https://www.gnu.org/software/coreutils/>
Ilmoita käännösvirheistä osoitteeseen <https://translationproject.org/team/fi.html>

TEKIJÄNOIKEUDET
Copyright © 2022 Free Software Foundation, Inc. Lisenssi GPLv3+: GNU GPL versio 3 tai myöhempi <https://gnu.org/licenses/gpl.html>.
Tämä on vapaa ohjelmisto; sitä saa vapaasti muuttaa ja levittää edelleen. Siinä määrin kuin laki sallii, TAKUUTA EI OLE.

KATSO MYÖS
Koko dokumentaatio: <https://www.gnu.org/software/coreutils/cut>
tai saatavilla paikallisesti: info '(coreutils) cut invocation'

KÄÄNNÖS
Tämän käsikirjan suomenkielisen käännöksen tekivät Jussi Larjo <larjo@cc.tut.fi>

Tämä käännös on ilmainen dokumentaatio; katso tekijänoikeusehdot GNU General Public License -versiosta 3 (https://www.gnu.org/licenses/gpl-3.0.html) tai uudemmasta. Emme ota vastuuta.